% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/rliger.R
\name{plotClusterProportions}
\alias{plotClusterProportions}
\title{Plot cluster proportions by dataset}
\usage{
plotClusterProportions(object, return.plot = FALSE)
}
\arguments{
\item{object}{\code{liger} object. Should call quantileAlignSNF before calling.}

\item{return.plot}{Return ggplot object (default FALSE)}
}
\value{
print plot to console (return.plot = FALSE); ggplot object (return.plot = TRUE)
  list of ggplot objects.
}
\description{
Generates plot of clusters sized by the proportion of total cells
}
\examples{
ligerex <- createLiger(list(ctrl = ctrl, stim = stim))
ligerex <- normalize(ligerex)
ligerex <- selectGenes(ligerex)
ligerex <- scaleNotCenter(ligerex)
ligerex <- optimizeALS(ligerex, k = 5, max.iter = 2)
ligerex <- quantile_norm(ligerex)
ligerex <- louvainCluster(ligerex)
plotClusterProportions(ligerex)
}
